Cyberduck Mountain Duck CLI

#3930 closed enhancement (fixed)

Usability of changing permissions in Info panel

Reported by: michael@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: interface Version: 3.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Hi, just a couple of bugbears regarding your latest version.

  1. The 'info' panel has been modified such that the permissions information is now on a separate tab, requiring an extra click to see the information. Small thing I know, but for someone working with your program all day it means constant clicking back and forth between tabs to see the 'general' and 'permissions' information - each one doesn't have that much information, why not leave them on the same tab?
  1. Modifying permissions - the apply button has been removed and now it automatically populates permissions information on a per click basis. This makes updating permissions for multiple items a serious pain, as every time you click a checkbox it runs through the whole list and makes the change, before you can check another one! Obviously is worse the longer the list of files / folders you are changing permissions for... not sure why this is a better way of doing it ??
  1. Bug - updating the permissions doesn't update the value listed in the 'permissions' column in the file window - one has to click the refresh button to see the new permissions listed. Again, this is a change / bug as it previously worked fine.

I've been using your program for many years now and have always vouched for it, unfortunately these few changes you've made have really baffled me as they seem enormously counter-productive!

Change History (5)

comment:1 Changed on Nov 19, 2009 at 1:30:12 PM by dkocher

  • Component changed from core to interface
  • Summary changed from Version 3.3 (5552) Changes to Usability of changing permissions in Info panel
  • Type changed from defect to enhancement

comment:2 Changed on Jan 23, 2010 at 11:47:46 PM by dkocher

#4134 closed as duplicate.

comment:3 Changed on Feb 2, 2010 at 2:02:21 PM by dkocher

#4180 closed as duplicate.

comment:4 in reply to: ↑ description Changed on Jul 1, 2010 at 8:14:29 AM by dkocher

  • Architecture set to Intel
  • Milestone set to 3.6
  • Platform set to Mac OS X 10.6
  • Status changed from new to assigned

Replying to michael@…:

Hi, just a couple of bugbears regarding your latest version.

  1. The 'info' panel has been modified such that the permissions information is now on a separate tab, requiring an extra click to see the information. Small thing I know, but for someone working with your program all day it means constant clicking back and forth between tabs to see the 'general' and 'permissions' information - each one doesn't have that much information, why not leave them on the same tab?

We will additionally have ACL settings in the permission tab for 3.6.

  1. Modifying permissions - the apply button has been removed and now it automatically populates permissions information on a per click basis. This makes updating permissions for multiple items a serious pain, as every time you click a checkbox it runs through the whole list and makes the change, before you can check another one! Obviously is worse the longer the list of files / folders you are changing permissions for... not sure why this is a better way of doing it ??

We will revert to a push button to apply permissions recursivly.

  1. Bug - updating the permissions doesn't update the value listed in the 'permissions' column in the file window - one has to click the refresh button to see the new permissions listed. Again, this is a change / bug as it previously worked fine.

Refreshing the directory listing might be time consuming and therefore has to be refreshed manually.

I've been using your program for many years now and have always vouched for it, unfortunately these few changes you've made have really baffled me as they seem enormously counter-productive!

comment:5 Changed on Jul 5, 2010 at 8:10:45 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r6235.

Note: See TracTickets for help on using tickets.
swiss made software